Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class Order_PaymentTransaction_CRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.order.Order_PaymentTransaction_CRUD

Deprecated

    @Deprecated
    public class Order_PaymentTransaction_CRUD

extends Object

CRUD for Aggregate Mapping

Constructor Summary
`Order_PaymentTransaction_CRUD()` Deprecated

Method Summary
`static PaymentTransactionPk` | `find(Connection connection, Object container)` Deprecated
`static void` | `update(Connection connection, Object containerKey, Object container)` Deprecated Update 1:1 requires changes in two tables, one for the contained class, the other for the containing class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Order_PaymentTransaction_CRUD

    public Order_PaymentTransaction_CRUD()

  Deprecated

Method Detail

### update

    public static void update(Connection connection,
                              Object containerKey,
                              Object container)
                       throws BMPException

  Deprecated
  Update 1:1 requires changes in two tables, one for the contained class, the other for the containing class. For the contained class: - see if the instance exists in the database. - if he exists, update him - if he does not exist, create him For the containing class: - update foreign key fields to the contained class. - a database trigger should delete the old instance of the contained class if it was contained by value

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### find

    public static PaymentTransactionPk find(Connection connection,
                                            Object container)
                                     throws BMPException

  Deprecated
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.